Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.admin.ejb
Interface VisitorUserManager

All Superinterfaces:
  EJBObject, Remote

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface VisitorUserManager
extends EJBObject

Handles all visitor-user admin functionality.

Method Summary
`void` | `addUserToGroup(ProfileIdentity user, GroupPortal groupPortal)` Deprecated. Admin adds an end user to a user group
`boolean` | `canAdminManageUser(ProfileIdentity user, ProfileIdentity admin, PortalIdentifier portalId, List groupPortals)` Deprecated. Checks if an admin can manage a particular visitor user - returns true if admin is a System Admin or - if admin is a PA or GA - they have exclusive rights to manage that user
`ProfileWrapper` | `createUser(ProfileIdentity user, String password, GroupPortal groupPortal)` Deprecated. Create a visitor user and add to the given group portal's user group
`ProfileWrapper` | `createUser(ProfileIdentity user, String password, String profileType, GroupPortal groupPortal)` Deprecated. Create a visitor user and add to the given group portal's user group
`List` | `getAllVisitorUserGroups()` Deprecated. Retrieve all visitor user groups Filters out existing group portal users.
`List` | `getGroupPortalEligibleVisitorUsers(GroupPortal groupPortal, String searchExpression, int limit)` Deprecated. Retrieve all visitor users with the intention of adding them to a group portal.
`ProfileWrapper` | `getGroupProfile(GroupPortal groupPortal)` Deprecated. Retrieve Profile for a user
`List` | `getUsernamesForVisitorUserGroup(GroupPortal groupPortal, String searchExpression, int limit)` Deprecated. Retrieve the users for a given user group
`List` | `getUsernamesForVisitorUserGroupSubGroups(GroupPortal groupPortal, String groupName, String searchExpression, int limit)` Deprecated. Retrieve the users for a given user group sub groups
`ProfileWrapper` | `getUserProfile(ProfileIdentity user, GroupPortal groupPortal, PortalIdentifier portalId, List groupPortals)` Deprecated. Retrieve Profile for a user
`List` | `getVisitorUserGroupNamesForUser(ProfileIdentity user)` Deprecated. Retrieve the group names for a given user
`boolean` | `isWritableRealm()` Deprecated. Checks if the underlying user realm is writable or not
`void` | `removeUser(ProfileIdentity user, GroupPortal groupPortal, PortalIdentifier portalId, List groupPortals)` Deprecated. Removes an end user
`void` | `removeUserFromGroup(ProfileIdentity user, GroupPortal groupPortal)` Deprecated. Admin removes an end user from a user group
`void` | `setPassword(ProfileIdentity user, String password, GroupPortal groupPortal, PortalIdentifier portalId, List groupPortals)` Deprecated. Set an end user password

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### addUserToGroup

    public void addUserToGroup(ProfileIdentity user,
                               GroupPortal groupPortal)
                        throws RealmNotWritableAddException,
                               RemoteException

  Deprecated.
  Admin adds an end user to a user group

  Parameters:
    `user` - the User to add
    `groupPortal` - the GroupPortal to receive the user
  Throws:
    `RemoteException` - because of EJB contract
    `RealmNotWritableAddException` - thrown if the underlying realm is not writable (ie. LDAP)
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid
    `OperationUnsupportedException` - thrown if an Unmanageable Realm (LDAP, for example) is being used

### canAdminManageUser

    public boolean canAdminManageUser(ProfileIdentity user,
                                      ProfileIdentity admin,
                                      PortalIdentifier portalId,
                                      List groupPortals)
                               throws RemoteException

  Deprecated.
  Checks if an admin can manage a particular visitor user - returns true if admin is a System Admin or - if admin is a PA or GA - they have exclusive rights to manage that user

  Parameters:
    `user` - the visitor user
    `admin` - the admin user
    `portalId` - the portal
    `groupPortals` - ALL of the portal's contained group portals (must use ARM.getAllGroupPortals())
  Returns:
    true if admin can manage the user
  Throws:
    `RemoteException` - because of EJB contract
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### createUser

    public ProfileWrapper createUser(ProfileIdentity user,
                                     String password,
                                     GroupPortal groupPortal)
                              throws UserAlreadyExistsException,
                                     InvalidUsernameException,
                                     InvalidPasswordException,
                                     RealmNotWritableAddException,
                                     RemoteException

  Deprecated.
  Create a visitor user and add to the given group portal's user group

  Parameters:
    `user` - the user to create
    `password` - the user's password
    `groupPortal` - the group portal - used to verify the admin has User Mgmt access
  Returns:
    ProfileWrapper
  Throws:
    `RemoteException` - because of EJB contract
    `RealmNotWritableAddException` - thrown if the underlying realm is not writable (ie. LDAP)
    `VisitorUserSystemException` - if there is a system exception
    `UserAlreadyExistsException` - if the user already exists
    `InvalidUserNameException` - if the user name is invalid
    `InvalidPasswordException` - if the password is invalid
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid
    `OperationUnsupportedException` - thrown if an Unmanageable Realm (LDAP, for example) is being used
    `InvalidUsernameException`

### createUser

    public ProfileWrapper createUser(ProfileIdentity user,
                                     String password,
                                     String profileType,
                                     GroupPortal groupPortal)
                              throws UserAlreadyExistsException,
                                     InvalidUsernameException,
                                     InvalidPasswordException,
                                     RealmNotWritableAddException,
                                     RemoteException

  Deprecated.
  Create a visitor user and add to the given group portal's user group

  Parameters:
    `user` - the user to create
    `password` - the user's password
    `profileType` - the user's profile type
    `groupPortal` - the group portal - used to verify the admin has User Mgmt access
  Returns:
    ProfileWrapper
  Throws:
    `RemoteException` - because of EJB contract
    `RealmNotWritableAddException` - thrown if the underlying realm is not writable (ie. LDAP)
    `VisitorUserSystemException` - if there is a system exception
    `UserAlreadyExistsException` - if the user already exists
    `InvalidUserNameException` - if the user name is invalid
    `InvalidPasswordException` - if the password is invalid
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid
    `OperationUnsupportedException` - thrown if an Unmanageable Realm (LDAP, for example) is being used
    `InvalidUsernameException`

### getAllVisitorUserGroups

    public List getAllVisitorUserGroups()
                                 throws RemoteException

  Deprecated.
  Retrieve all visitor user groups Filters out existing group portal users.

  Returns:
    List of user groups (Strings)
  Throws:
    `RemoteException` - because of EJB contract
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getGroupPortalEligibleVisitorUsers

    public List getGroupPortalEligibleVisitorUsers(GroupPortal groupPortal,
                                                   String searchExpression,
                                                   int limit)
                                            throws RemoteException

  Deprecated.
  Retrieve all visitor users with the intention of adding them to a group portal. Filters out existing group portal users.

  Parameters:
    `groupPortal` - the group portal to filter users for
    `searchExpression` - "*" wildcard is supported
    `limit` - limit of number of users to return
  Returns:
    List of usernames (Strings)
  Throws:
    `RemoteException` - because of EJB contract
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getGroupProfile

    public ProfileWrapper getGroupProfile(GroupPortal groupPortal)
                                   throws ProfileNotFoundException,
                                          PrincipalNotExclusivelyManagedByAdminException,
                                          RemoteException

  Deprecated.
  Retrieve Profile for a user

  Parameters:
    `groupPortal` - the group portal - used to verify the admin has User Mgmt access Note: All subsequent setProperty calls must occur on ProfileWrapper
  Returns:
    ProfileWrapper
  Throws:
    `RemoteException` - because of EJB contract
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `ProfileNotFoundException` - if the profile is not found
    `IllegalArgumentException` - if the arguments are not valid
    `PrincipalNotExclusivelyManagedByAdminException` - thrown if the user is part of another Portal or Group Portal that the admin does not have access to

### getUsernamesForVisitorUserGroup

    public List getUsernamesForVisitorUserGroup(GroupPortal groupPortal,
                                                String searchExpression,
                                                int limit)
                                         throws RemoteException

  Deprecated.
  Retrieve the users for a given user group

  Parameters:
    `searchExpression` - "*" wildcard is supported
    `limit` - limit of number of users to return
  Returns:
    List of usernames (Strings) in this group
  Throws:
    `RemoteException` - because of EJB contract
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getUsernamesForVisitorUserGroupSubGroups

    public List getUsernamesForVisitorUserGroupSubGroups(GroupPortal groupPortal,
                                                         String groupName,
                                                         String searchExpression,
                                                         int limit)
                                                  throws RemoteException

  Deprecated.
  Retrieve the users for a given user group sub groups

  Parameters:
    `groupPortal` - the group portal that the user group belongs to
    `groupName` - the user Group Identifier (String)
    `searchExpression` - "*" wildcard is supported
    `limit` - limit of number of users to return
  Returns:
    List of usernames (Strings) in this group
  Throws:
    `RemoteException` - because of EJB contract
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getUserProfile

    public ProfileWrapper getUserProfile(ProfileIdentity user,
                                         GroupPortal groupPortal,
                                         PortalIdentifier portalId,
                                         List groupPortals)
                                  throws ProfileNotFoundException,
                                         PrincipalNotExclusivelyManagedByAdminException,
                                         RemoteException

  Deprecated.
  Retrieve Profile for a user

  Parameters:
    `user` - the User
    `groupPortal` - the group portal - used to verify the admin has User Mgmt access
    `portalId` - the PortalIdentifier of the Portal to ensure that the user is exclusively managed
    `groupPortals` - all Group Portals for the Portal to remove Note: All subsequent setProperty calls must occur on ProfileWrapper
  Returns:
    ProfileWrapper
  Throws:
    `RemoteException` - because of EJB contract
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `ProfileNotFoundException` - if the profile is not found
    `IllegalArgumentException` - if the arguments are not valid
    `PrincipalNotExclusivelyManagedByAdminException` - thrown if the user is part of another Portal or Group Portal that the admin does not have access to

### getVisitorUserGroupNamesForUser

    public List getVisitorUserGroupNamesForUser(ProfileIdentity user)
                                         throws RemoteException

  Deprecated.
  Retrieve the group names for a given user

  Parameters:
    `user` - the user
  Returns:
    List of groupnames (Strings) in this user
  Throws:
    `RemoteException` - because of EJB contract
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### isWritableRealm

    public boolean isWritableRealm()
                            throws RemoteException

  Deprecated.
  Checks if the underlying user realm is writable or not

  Returns:
    true if realm is writable
  Throws:
    `RemoteException`

### removeUser

    public void removeUser(ProfileIdentity user,
                           GroupPortal groupPortal,
                           PortalIdentifier portalId,
                           List groupPortals)
                    throws PrincipalNotExclusivelyManagedByAdminException,
                           RealmNotWritableRemoveException,
                           RemoteException

  Deprecated.
  Removes an end user

  Parameters:
    `user` - the User to remove
    `groupPortal` - the group portal - used to verify the admin has User Mgmt access
    `portalId` - the PortalIdentifier of the Portal to remove any PA associations
    `groupPortals` - all Group Portals for the Portal to remove any GA associations
  Throws:
    `RemoteException` - because of EJB contract
    `RealmNotWritableRemoveException` - thrown if the underlying realm is not writable (ie. LDAP)
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid
    `PrincipalNotExclusivelyManagedByAdminException` - thrown if the user is part of another Portal or Group Portal that the admin does not have access to

### removeUserFromGroup

    public void removeUserFromGroup(ProfileIdentity user,
                                    GroupPortal groupPortal)
                             throws RealmNotWritableRemoveException,
                                    RemoteException

  Deprecated.
  Admin removes an end user from a user group

  Parameters:
    `user` - the User to remove
  Throws:
    `RemoteException` - because of EJB contract
    `RealmNotWritableRemoveException` - thrown if the underlying realm is not writable (ie. LDAP)
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid
    `OperationUnsupportedException` - thrown if an Unmanageable Realm (LDAP, for example) is being used

### setPassword

    public void setPassword(ProfileIdentity user,
                            String password,
                            GroupPortal groupPortal,
                            PortalIdentifier portalId,
                            List groupPortals)
                     throws PrincipalNotExclusivelyManagedByAdminException,
                            InvalidPasswordException,
                            RealmNotWritableAddException,
                            RemoteException

  Deprecated.
  Set an end user password

  Parameters:
    `user` - the User
    `password` - the password
    `groupPortal` - the group portal - used to verify the admin has User Mgmt access
    `portalId` - the PortalIdentifier of the Portal to remove any PA associations
    `groupPortals` - all Group Portals for the Portal to remove any GA associations
  Throws:
    `RemoteException` - because of EJB contract
    `RealmNotWritableAddException` - thrown if the underlying realm is not writable (ie. LDAP)
    `VisitorUserSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `InvalidPasswordException` - if the password is invalid
    `IllegalArgumentException` - if the arguments are not valid
    `PrincipalNotExclusivelyManagedByAdminException` - thrown if the user is part of another Portal or Group Portal
    `OperationUnsupportedException` - thrown if an Unmanageable Realm (LDAP, for example) is being used

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved